Name:           python-dynamicforms
Version:        0.80.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        DyF performs all the visualisation & data entry of your DRF Serializers & ViewSets and adds some candy of its own

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/velis74/DynamicForms
Source:         %{pypi_source dynamicforms}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dynamicforms' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dynamicforms
Summary:        %{summary}

%description -n python3-dynamicforms %_description


%prep
%autosetup -p1 -n dynamicforms-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dynamicforms -f %{pyproject_files}


%changelog
%autochangelog